'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = start;

var _webpackDevServer = require('webpack-dev-server');

var _webpackDevServer2 = _interopRequireDefault(_webpackDevServer);

var _pushstateServer = require('pushstate-server');

var _pushstateServer2 = _interopRequireDefault(_pushstateServer);

var _logger = require('../logger');

var _logger2 = _interopRequireDefault(_logger);

var _getCompiler = require('../helper/getCompiler');

var _getCompiler2 = _interopRequireDefault(_getCompiler);

var _build = require('./build');

var _build2 = _interopRequireDefault(_build);

var _utils = require('../utils');

var _config = require('../config');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var IS_PRODUCTION = process.env.NODE_ENV === 'production';

function start() {
  var PUBLIC_PATH = (0, _utils.resolvePath)('public');

  if (IS_PRODUCTION) {
    (0, _build2.default)().then(function () {
      _pushstateServer2.default.start({
        port: _config.PORT,
        directory: PUBLIC_PATH
      });
    }).catch(function (errors) {
      errors.forEach(function (error) {
        return _logger2.default.error(error);
      });
    });

    return;
  }

  var devServer = new _webpackDevServer2.default((0, _getCompiler2.default)(), {
    hot: true,
    noInfo: true,
    inline: true,
    historyApiFallback: {
      rewrites: [{
        from: /\./,
        to: '/'
      }]
    },
    contentBase: PUBLIC_PATH
  });

  devServer.listen(_config.PORT);

  _logger2.default.info('Server started at ' + _config.PORT + ' in \'Development\'');
}
//# sourceMappingURL=start.js.map