'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var PORT = exports.PORT = process.env.PORT || 5000;

var TEMPLATE_REPO = exports.TEMPLATE_REPO = 'https://github.com/yhjor1212/web-instant-templates.git';

var PACKAGE_JSON = exports.PACKAGE_JSON = {
  scripts: {
    lint: 'eslint src',
    build: 'NODE_ENV=production web-instant build',
    start: 'web-instant start'
  },
  license: 'UNLICENSED',
  eslintConfig: {
    extends: 'eslint-config-airbnb',
    parser: 'babel-eslint',
    env: {
      browser: true,
      node: true
    },
    globals: {
      React: true,
      classnames: true,
      $: true
    }
  },
  babel: {
    presets: ['es2015', 'stage-2', 'react', 'react-optimize']
  }
};

var DEPENDENCIES = exports.DEPENDENCIES = [{
  name: 'Web',
  dev: false,
  packages: ['webpack-brevity', 'web-instant', 'jquery', 'semantic-ui-css']
}, {
  name: 'PostCSS',
  dev: false,
  packages: ['postcss-cssnext', 'postcss-import']
}, {
  name: 'React and Redux',
  dev: false,
  packages: ['react', 'react-dom', 'react-router', 'react-router-scroll', 'react-helmet', 'redux', 'react-redux', 'redux-thunk', 'redux-actions', 'classnames']
}, {
  name: 'Eslint',
  dev: true,
  packages: ['eslint', 'eslint-plugin-import', 'eslint-config-airbnb', 'eslint-plugin-react', 'eslint-plugin-jsx-a11y', 'babel-eslint']
}];
//# sourceMappingURL=config.js.map